org.keycloak.storage.ldap.mappers.msad

## Class LDAPServerPolicyHintsDecorator

- java.lang.Object
- - org.keycloak.storage.ldap.mappers.msad.LDAPServerPolicyHintsDecorator

- All Implemented Interfaces:
    LDAPOperationDecorator

      public class LDAPServerPolicyHintsDecorator
      extends Object
      implements LDAPOperationDecorator

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LDAP_SERVER_POLICY_HINTS_DEPRECATED_OID`
    `static String` | `LDAP_SERVER_POLICY_HINTS_OID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPServerPolicyHintsDecorator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeLDAPOperation(LdapContext ldapContext, LDAPOperationManager.LdapOperation ldapOperation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LDAP_SERVER_POLICY_HINTS_OID

          public static final String LDAP_SERVER_POLICY_HINTS_OID

      See Also:
        Constant Field Values

    - #### LDAP_SERVER_POLICY_HINTS_DEPRECATED_OID

          public static final String LDAP_SERVER_POLICY_HINTS_DEPRECATED_OID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LDAPServerPolicyHintsDecorator

          public LDAPServerPolicyHintsDecorator()

  - ### Method Detail

    - #### beforeLDAPOperation

          public void beforeLDAPOperation(LdapContext ldapContext,
                                          LDAPOperationManager.LdapOperation ldapOperation)
                                   throws NamingException

      Specified by:
        `beforeLDAPOperation` in interface `LDAPOperationDecorator`
      Throws:
        `NamingException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.